#ifndef BITMAP_H
#define BITMAP_H
#include "types.h"
/*BITMAPINFO - from MSVC */
typedef struct { // bmih
   DWORD  biSize; //Specifies the number of bytes required by the structure.
   LONG   biWidth; //Specifies the width of the bitmap, in pixels.
   LONG   biHeight;//Specifies the height of the bitmap, in pixels.
   WORD   biPlanes;//Specifies the number of planes for the target device.
   WORD   biBitCount;//Specifies the number of bits per pixel.
   DWORD  biCompression;//Specifies the type of compression for a
   DWORD  biSizeImage; //   Specifies the size, in bytes, of the image. This may be set to 0 for BI_RGB bitmaps.
   LONG   biXPelsPerMeter; //Specifies the horizontal resolution,
   LONG   biYPelsPerMeter; //Specifies the vertical resolution, in pixels per meter,
   DWORD  biClrUsed;    //Specifies the number of color indices in the color table
   DWORD  biClrImportant; // Specifies the number of color indices that are considered important for displaying the bitmap. If this value is zero, all colors are important.
} BITMAPINFOHEADER;

typedef struct { // rgbq
    BYTE    rgbBlue;
    BYTE    rgbGreen;
    BYTE    rgbRed;
    BYTE    rgbReserved;
} RGBQUAD;
typedef struct { // bmi
   BITMAPINFOHEADER bmiHeader;
   RGBQUAD          bmiColors[1];
} BITMAPINFO;
#endif
